<?

class contactus
	{
		var $obj1;
		var $con;
		// constructor
		function __construct()
		{
			$this->obj1 = new dboperations();
			$this->con = $this->obj1-> dbconnect();
			
		}
		
		
		function getcontactusinfo()
		{
			
			$sqltext = "Select * from mstcontacts";
			
				
			$prodapps = $this->obj1->select_query($sqltext);
			
			if ($prodapps)
			{
				$numrows = $this->obj1->numRows($prodapps);
			}
			if ($numrows >=1)
			{
				while ($prodappslist = mysqli_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}	
			}
			
			return $prodappstr;
		}
		
		
		// example for adding product data		//            $data['productname'] = 'product1';
		//            $data['proudctdesc'] = "product desc";
		//            $data['productimagebig'] = '/images/product1.jpg';
		//            $data = $obj->addproduct($data);
		function addcontactus($applicationdata)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnames =  "(";
				$fieldvalues = "(";
				foreach ($applicationdata as $k => $v) 
				{
					
					$fieldnames .=  ($fieldnames=="(")?"$k":",$k";
					$fieldvalues .= ($fieldvalues=="(")?"'$v'":",'$v'";
				}
				$sqltext = "insert into mstcontacts ".$fieldnames.") values ".$fieldvalues.")";
				//echo $sqltext;
				$applications = $this->o